---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 1d9391e04561028e64164362c608dfd97a869928
    app.quarkus.io/build-timestamp: 2022-02-10 - 12:24:30 +0000
  labels:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.1.0
    app: automationservice
  name: automationservice
spec:
  ports:
    - name: http
      port: 8080
      targetPort: 8080
    - name: grpc-server
      port: 9999
      targetPort: 9999
  selector:
    app.kubernetes.io/name: automationservice
    app.kubernetes.io/version: 0.1.0
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 1d9391e04561028e64164362c608dfd97a869928
    app.quarkus.io/build-timestamp: 2022-02-10 - 12:24:30 +0000
  labels:
    app: automationservice
    app.kubernetes.io/version: 0.1.0
    app.kubernetes.io/name: automationservice
  name: automationservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/version: 0.1.0
      app.kubernetes.io/name: automationservice
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 1d9391e04561028e64164362c608dfd97a869928
        app.quarkus.io/build-timestamp: 2022-02-10 - 12:24:30 +0000
      labels:
        app: automationservice
        app.kubernetes.io/version: 0.1.0
        app.kubernetes.io/name: automationservice
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: DEVICE_SERVICE_HOST
              value: deviceservice
            - name: CONTEXT_SERVICE_HOST
              value: contextservice
          image: registry.gitlab.com/teraflow-h2020/controller/automation:0.1.0
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
          name: automationservice
          ports:
            - containerPort: 8080
              name: http
              protocol: TCP
            - containerPort: 9999
              name: grpc-server
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 2
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 10
